%define name gtimer
%define version 1.1.5
%define release 4mdk

Summary: 	Task management application
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Monitoring
License: 	GPL
URL: 		http://www.radix.net/~cknudsen/gtimer/
Source: 	%{name}-%{version}.tar.bz2
Buildroot: 	%{_tmppath}/%{name}-buildroot
Obsoletes: 	tasktimer

%description 
Gtimer is task management application. It let's you
track the time you spend doing something.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=$RPM_BUILD_ROOT%{_prefix}

%configure

%make

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/gtimer
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/man/man1
install -m 0755 icons/* $RPM_BUILD_ROOT/%{_datadir}/gtimer
install -m 0755 icons/gtimer.xpm $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -m 0755 gtimer.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gtimer"\
title="Gtimer"\
longtitle="Task management application"\
needs="x11"\
icon="monitoring_section.png"\
section="Applications/Monitoring"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}  


%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog COPYING NEWS
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/gtimer/*
%{_mandir}/man1/*
%{_libdir}/menu/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.5-4mdk
- Fix menu entry

* Wed Jul 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-3mdk
- rebuild

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-2mdk
- rebuild

* Mon Sep 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- v1.1.5
- macros
- BM
- menu   

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-2mdk
- fix group
- fix files section

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs

